# RadioLib: LR11x0VersionInfo_t Struct Reference

LR11x0VersionInfo_t Struct Reference

Structure to report information about versions of the LR11x0 hardware and firmware. More...

`#include <LR11x0.h>`

## Public Attributes

uint8_t | hardware
| Hardware revision.
uint8_t | device
| Which device this is - one of RADIOLIB_LR11X0_DEVICE_* macros.
uint8_t | fwMajor
| Major revision of the base firmware.
uint8_t | fwMinor
| Minor revision of the base firmware.
uint8_t | fwMajorWiFi
| Major revision of the WiFi firmware.
uint8_t | fwMinorWiFi
| Minor revision of the WiFi firmware.
uint8_t | fwGNSS
| Revision of the GNSS firmware.
uint8_t | almanacGNSS
| Almanac revision of the GNSS firmware.

## Detailed Description

Structure to report information about versions of the LR11x0 hardware and firmware.

The documentation for this struct was generated from the following file:

- src/modules/LR11x0/LR11x0.h